"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
function resolveImportUrl(_a) {
    var _this = this;
    var file = _a.file, content = _a.content;
    return content.replace(/(@import|@require)([()a-z,\s]+)(?:'([^']+)'|"([^"]+)"|([^\s"';]+))/g, function (match, imports, options, single, double, unquoted) {
        var pathToResource = single || double || unquoted;
        if (!pathToResource || /^[~/]/.test(pathToResource)) {
            return match;
        }
        var absolutePathToResource = path.resolve(path.dirname(file), pathToResource);
        var relativePathFromContextToResource = path.relative(_this.context, absolutePathToResource);
        var quote = (match.match(/['"]$/) || [''])[0];
        return "" + imports + options + quote + relativePathFromContextToResource + quote;
    });
}
exports.resolveImportUrl = resolveImportUrl;
//# sourceMappingURL=resolveImportUrl.js.map